#ifndef _CMDMOUSETEST_H_
#define _CMDMOUSETEST_H_

HINSTANCE MQ_DllInstance(HINSTANCE hInstance_);

class CmdMouseTest : public MQCommandPlugin
{
private:
	//Cursor
	HCURSOR         _hCursor;
public:
	CmdMouseTest(){}
	~CmdMouseTest(){}
public:
	typedef void (CmdMouseTest::*CmdMouseTestCallback)(MQDocument doc,void* option);
	struct CALLBACK_STRUCT
	{
		CmdMouseTestCallback clbk;
		void* option;
	};

public:
	// vOCIDԂB
	virtual void GetPlugInID(DWORD *Product, DWORD *ID);
	// vOCԂB
	virtual const char *GetPlugInName(void);
	// |bvAbvj[ɕ\镶ԂB
	virtual const char *EnumString(void);
	// AvP[V̏
	virtual BOOL Initialize();
	// AvP[V̏I
	virtual void Exit();
	// \E\؂ւv
	virtual BOOL Activate(MQDocument doc, BOOL flag);
	// \E\Ԃ̕ԓ
	//virtual BOOL IsActivated(MQDocument doc);
	// R[obNɑ΂
	virtual bool ExecuteCallback(MQDocument doc, void *option);
	//CEChEŏꂽƂ
	//virtual void OnMinimize(MQDocument doc,BOOL flag);
	//VKhLg쐬
	virtual void OnNewDocument(MQDocument doc,const char* filename,MQStationPlugin::NEW_DOCUMENT_PARAM &param);
	//hLgI
	virtual void OnEndDocument(MQDocument doc);
	//IuWFNgɉ炩̕ύXꂽƂ
	//virtual void OnObjectModified(MQDocument doc);
	//V[񂪕ύXꂽƂ
	//virtual void OnUpdateScene(MQDocument doc, MQScene scene);

	// {^ꂽƂ
	virtual BOOL OnLeftButtonDown(MQDocument doc, MQScene scene, MOUSE_BUTTON_STATE& state);
	// {^Ȃ}EXړƂ
	virtual BOOL OnLeftButtonMove(MQDocument doc, MQScene scene, MOUSE_BUTTON_STATE& state);
	// {^ꂽƂ
	virtual BOOL OnLeftButtonUp(MQDocument doc, MQScene scene, MOUSE_BUTTON_STATE& state);
	// {^ꂽƂ
	//virtual BOOL OnMiddleButtonDown(MQDocument doc, MQScene scene, MOUSE_BUTTON_STATE& state);
	// {^Ȃ}EXړƂ
	//virtual BOOL OnMiddleButtonMove(MQDocument doc, MQScene scene, MOUSE_BUTTON_STATE& state);
	// {^ꂽƂ
	//virtual BOOL OnMiddleButtonUp(MQDocument doc, MQScene scene, MOUSE_BUTTON_STATE& state);
	// E{^ꂽƂ
	//virtual BOOL OnRightButtonDown(MQDocument doc, MQScene scene, MOUSE_BUTTON_STATE& state);
	// E{^Ȃ}EXړƂ
	//virtual BOOL OnRightButtonMove(MQDocument doc, MQScene scene, MOUSE_BUTTON_STATE& state);
	// E{^ꂽƂ
	//virtual BOOL OnRightButtonUp(MQDocument doc, MQScene scene, MOUSE_BUTTON_STATE& state);
	// }EXړƂ
	virtual BOOL OnMouseMove(MQDocument doc, MQScene scene, MOUSE_BUTTON_STATE& state);
	// }EX̃zC[]Ƃ
	//virtual BOOL OnMouseWheel(MQDocument doc, MQScene scene, MOUSE_BUTTON_STATE& state);
	// L[ꂽƂ
	//virtual BOOL OnKeyDown(MQDocument doc, MQScene scene, int key, MOUSE_BUTTON_STATE& state);
	// L[ꂽƂ
	//virtual BOOL OnKeyUp(MQDocument doc, MQScene scene, int key, MOUSE_BUTTON_STATE& state);
	// AhDs
	//virtual BOOL OnUndo(MQDocument doc, int undo_state);
	// hDs
	//virtual BOOL OnRedo(MQDocument doc, int redo_state);
	// AhDԍXV
	//virtual void OnUpdateUndo(MQDocument doc, int undo_state, int undo_size);

};
#endif