#include "PreCompiled.h"
#include "CmdMouseTest.h"

#ifdef _DEBUG
#define _DEBUG_MEMORYLEAK 0
#include <crtdbg.h>
#endif

//---------------------------------------------------------------------------
//  DllMain
//---------------------------------------------------------------------------
BOOL APIENTRY DllMain( HINSTANCE hinstDLL, 
                       DWORD  ul_reason_for_call, 
                       LPVOID lpReserved
					 )
{
	if(ul_reason_for_call == DLL_PROCESS_ATTACH){
		MQ_DllInstance(hinstDLL);

#ifdef _DEBUG_MEMORYLEAK
		int nFlag=_CrtSetDbgFlag(_CRTDBG_REPORT_FLAG);
		nFlag |= _CRTDBG_LEAK_CHECK_DF;
		nFlag &= ~_CRTDBG_CHECK_CRT_DF;
		_CrtSetDbgFlag(nFlag);
		_CrtSetBreakAlloc(_DEBUG_MEMORYLEAK);
#endif
	}
	else if(ul_reason_for_call == DLL_PROCESS_DETACH)
	{
	}
    return TRUE;
}


//---------------------------------------------------------------------------
//  MQ_DllInstance֐
//    DLL̃CX^XݒE擾
//---------------------------------------------------------------------------
HINSTANCE MQ_DllInstance(HINSTANCE hInstance_)
{
	static HINSTANCE hInstance = NULL;
	if(hInstance_ && !hInstance)
		hInstance = hInstance_;
	return hInstance;
}
